package database

@Suppress("unused")
data class BroadcastZones(var index: UInt, var description: String, var SoundChannel: String, var id: String, var bp: String){

    /**
     * Check if all fields are not empty
     */
    fun isNotEmpty(): Boolean{
        if (description.isNotEmpty()){
            if (SoundChannel.isNotEmpty()){
                if (id.isNotEmpty()){
                    if (bp.isNotEmpty()){
                        return true
                    }
                }
            }
        }
        return false
    }

    /**
     * Return a string representation of the BroadcastZones object.
     */
    override fun toString(): String {
        return "BroadcastZones(index=$index, description='$description', SoundChannel='$SoundChannel', id='$id', bp='$bp')"
    }
}
